Subject: Re: Proposed changes to draft-ietf-pwe3-arch-05.txt

From: Stewart Bryant <[email-masked]>
Date: Thu, 25 Sep 2003 17:04:30 +0100

I would be happy with this.

Stewart

Hamid Ould-Brahim wrote:

> Stewart,
>  
>  > Mostly changed to AC, but in some instances PWES seemed more
>  > appropiate.
>  >
>  > Attachment Circuit   The circuit or virtual circuit attaching
>  > (AC)                 a CE to a PE.
>  >
>  > PW End Service       The end-service that needs to be carried
>  > (PWES)               over the PW. In case of homogenous ACs,
>  >                       the AC and PWES are identical, but this is
>  >                       not the case for heterogeneous ACs. For
>  >                       example the AC might be an ATM VC but the
>  >                       PWES might be Ethernet carried over EoPW.
>  >
> 
> Let put aside the text/editing for a moment.
> 
> My question is what purpose does PWES play in the PWE3 specifications
> (besides the arch document) that is not already being covered by just
> using the AC acronym and definition?
> 
> If the answer is none then instead of adding a new acronym and definition,
> why not just clarify in the AC definition something like this
> (reusing Ali's and the AC definition of the l2vpn framework draft):
> 
>   Attachment Circuit  AC refers to physical or virtual interface between
>          (AC)         CE and PE. An attachment Circuit may be a Frame Relay
>                       DLCI, an ATM VPI/VCI, an Ethernet port, a VLAN,
>                       a PPP connection on a physical interface, a PPP 
> session
>                       from an L2TP tunnel, an MPLS LSP, etc.
>                       If these ACs are of the same technology (e.g., both
>                       ATM, both Ethernet, both Frame Relay) the PW is said
>                       to provide "homogeneous transport"; otherwise it 
> is said
>                       to provide "heterogeneous transport".                
> 
> and drops PWES altogether.
> 
> (it looks to it is more simpler and avoid any potential
> confusion).
> 
> Hamid.
>

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 30 Sep 2003 17:33:06 +0100

Would the WG be happy if I removed PWES, and used Hamid's
AC definition below? This seem to be the best of all worlds

- retains the distinction between hetrogeneous and homogenious
   circuits proposed by Ali

- Uses the term prefered by some folks, and which aligns with
   L2TP

- removes the PWES term which is unique to PWE3

This will need some fixing of the English to make sentances
that used PWES parse correctly, but nothing technical.

Scott sent me some typos that need to be corrected.

Anything else that needs fixing?

Unless I hear otherwise I will fix AC and the typos and ship -06

Regards

Stewart